// HelpInfo.h: interface for the CHelpInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HELPINFO_H__724E93EE_CA6A_440E_9166_88E6CF574A67__INCLUDED_)
#define AFX_HELPINFO_H__724E93EE_CA6A_440E_9166_88E6CF574A67__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CHelpInfo
{
public:
    CHelpInfo();
    virtual ~CHelpInfo();

    void InitHelpFile(CString csHelpFileName);
    void InitHelpViewer(CString csHelpFileName);
    void InitHelpFileIni(CString csHelpFileSectionName, CString csHelpFileKeyName);
    bool IsProcessLoaded();
    void RemoveProcess();
    void ShowHelp();

private:

// Attributes
    CString             m_csHelpFileName;
    CString             m_csHelpViewer;
    CString             m_csHelpFileSectionName;
    CString             m_csHelpFileKeyName;
    CString             m_csProcessCommand;
    PROCESS_INFORMATION m_processInfo;
};

#endif // !defined(AFX_HELPINFO_H__724E93EE_CA6A_440E_9166_88E6CF574A67__INCLUDED_)
